Bug 1149637 - Cannot start VM with attached ISO
Summary: Cannot start VM with attached ISO
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Omer Frenkel
QA Contact: Petr Kubica
URL:
Whiteboard: virt
Depends On:
Blocks: 1073943 1131018
TreeView+ depends on / blocked
 
Reported: 2014-10-06 10:08 UTC by Petr Kubica
Modified: 2016-02-10 19:50 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:33:18 UTC
oVirt Team: Virt


Attachments (Terms of Use)
logs from engine and host (1.33 MB, application/x-gzip)
2014-10-06 10:08 UTC, Petr Kubica
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33885 ovirt-engine-3.5 MERGED core, engine: Avoid creating the CD device multiple times Never
oVirt gerrit 33886 ovirt-engine-3.5.0 MERGED core, engine: Avoid creating the CD device multiple times Never

Description Petr Kubica 2014-10-06 10:08:54 UTC
Created attachment 944204 [details]
logs from engine and host

Description of problem:
I installed a clean ovirt-engine on RHEL 6.5 with 6.5 host
I created a VM with a disk and I wanted to boot from CD-ROM, but VM cannot start
and I got an error:

VM test-cdrom is down with error. Exit message: internal error process exited while connecting to monitor: qemu-kvm: -drive file=/rhev/data-center/mnt/10.34.63.204:_home_iso_shared/0c78b4d6-ba00-4d3e-9f9f-65c7d5899d71/images/11111111-1111-1111-1111-111111111111/en_windows_7_enterprise_x64_dvd_x15-70749.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw,serial=: Duplicate ID 'drive-ide0-1-0' for drive .

VMs with not attached ISO is working normally

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.5.0-0.0.master.20141001234942.git65deb9d.el6
vdsm-4.16.5-2.el6ev.x86_64
libvirt-0.10.2-29.el6_5.12.x86_64

How reproducible:
always

Steps to Reproduce:
1. install ovirt-engine
2. add a host, storage domain and iso domain
3. create a VM with attached ISO
4. run VM

Actual results:
VM will not start

Expected results:
it should work properly.

Additional info:

Comment 1 Thomas Keppler 2014-10-06 11:53:00 UTC
I also have had the same exact problem. A workaround is to not create a VM where you don't attach the ISO and then edit the VM so the ISO is attached. If you do that, the VM will boot properly, still is annoying bug, though.

Comment 2 Petr Kubica 2014-10-16 10:59:40 UTC
Verified in 3.5.0.1-0.0.master.20141009085636.el6

Comment 3 Sandro Bonazzola 2014-10-17 12:33:18 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.